import React from 'react';
import { MappedOption } from '../types.js';
export declare const Column: React.FC<ColumnProps>;
export type ColumnProps = {
    columnNo: number;
    columItemCount: number;
    focusedIndex: number;
    options: MappedOption[];
    onChanged?: (selected: boolean, label: string, index?: number) => void;
    onSubmitted?: (selected: boolean, label: string, index?: number) => void;
};
